Change zh.wikiquote logo
Closed, ResolvedPublic

Zest created this task.Jul 18 2018, 6:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2018, 6:58 AM

At the same time $wgLogo only accepts one image. I suggest you use both images at the same time via CSS locally.

Hello @Zest, is it a temporary change ?

nope

Hello @Zest, is it a temporary change ?

Wong128hk added a comment.EditedJul 19 2018, 11:57 PM

please use https://commons.wikimedia.org/wiki/File:Wikiquote-logo-zh-hant.svg for the logo. For zh-hans, I will handle it with local css. However, could you please place the zh-hans local under the track of /static/images/project-logos/ ? Moreover, how about 1.5X and 2X logo for high resolution screen?

RazeSoldier triaged this task as Normal priority.

Change 447030 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[operations/mediawiki-config@master] Change zhwikiquote logo

https://gerrit.wikimedia.org/r/447030

RazeSoldier updated the task description. (Show Details)Jul 20 2018, 6:38 AM
RazeSoldier moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

@RazeSoldier could you please place the zh-hans logo under the track of /static/images/project-logos/ and make also the 1.5X and 2X versions for zh-hans one. Thank you.

@RazeSoldier could you please place the zh-hans logo under the track of /static/images/project-logos/ and make also the 1.5X and 2X versions for zh-hans one. Thank you.

I recommend replacing the old image.

Ok, I am obviously confused.

RazeSoldier updated the task description. (Show Details)Jul 20 2018, 6:53 AM

@RazeSoldier could you please place the zh-hans logo under the track of /static/images/project-logos/ and make also the 1.5X and 2X versions for zh-hans one. Thank you.

Done.

Change 447030 merged by jenkins-bot:
[operations/mediawiki-config@master] Change zhwikiquote logo

https://gerrit.wikimedia.org/r/447030

Mentioned in SAL (#wikimedia-operations) [2018-07-23T11:14:54Z] <zfilipin@deploy1001> Synchronized static/images/project-logos/: SWAT: [[gerrit:447030|Change zhwikiquote logo (T199863)]] (duration: 00m 55s)

zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/zhwikiquote.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/zhwikiquote-1.5x.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/zhwikiquote-2x.png" | mwscript purgeList.php
Purging 1 urls
Done!
zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/zhwikiquote-hans.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/zhwikiquote-hans-1.5x.png" | mwscript purgeList.php
Purging 1 urls
Done!

zfilipin@mwmaint1001:~$ echo "https://en.wikipedia.org/static/images/project-logos/zhwikiquote-hans-2x.png" | mwscript purgeList.php
Purging 1 urls
Done!
RazeSoldier closed this task as Resolved.Jul 23 2018, 11:37 AM
RazeSoldier moved this task from Site configuration to Closed on the Chinese-Sites board.